--- easy-mmode.el.orig	2003-05-25 11:43:07.000000000 +0900
+++ easy-mmode.el	2003-05-25 11:54:40.000000000 +0900
@@ -56,10 +56,10 @@
 
 (defmacro easy-mmode-define-toggle (mode &optional doc)
   "Define a one arg toggle mode MODE function and associated hooks.
-MODE-mode is the so defined function that toggle the mode.
+MODE is the so defined function that toggle the mode.
 optional DOC is its associated documentation.
 
-Hooks are checked for run, each time MODE-mode is called.
+Hooks are checked for run, each time the function MODE is called.
 They run under the followings conditions:
 MODE-hook: if the mode is toggled.
 MODE-on-hook: if the mode is on.
@@ -69,10 +69,7 @@
 If so MODE-hook is guaranteed to be the first.
 
 \(defmacro easy-mmode-define-toggle (MODE &optional DOC)"
-  (let* ((mode-name
-	  (if (string-match "-mode\\'" (symbol-name mode))
-	      (symbol-name mode)
-	    (concat (symbol-name mode) "-mode")))
+  (let* ((mode-name (symbol-name mode))
 	 (hook (intern (concat mode-name "-hook")))
 	 (hook-on (intern (concat mode-name "-on-hook")))
 	 (hook-off (intern (concat mode-name "-off-hook")))
